Bug 87856 - logrotate scripts don't tell mailman to reopen its log files
logrotate scripts don't tell mailman to reopen its log files
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: mailman (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-03 02:28 EST by James Henstridge
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-23 14:53:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updated logrotate script (388 bytes, text/plain)
2003-04-04 02:40 EST, James Henstridge
no flags Details

  None (edit)
Description James Henstridge 2003-04-03 02:28:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-AU; rv:1.3) Gecko/20030312

Description of problem:
In mailman 2.1 the qrunner is now a daemon (rather than being called
periodically from cron), and it will hold its log files open while running.

With the current logrotate scripts, qrunner will continue to append log entries
to the same log file even after it has been rotated.

In order to fix this, the logrotate scripts need to call "mailmanctl reopen"
after the log rotation.

Version-Release number of selected component (if applicable):
2.1-8

How reproducible:
Always

Steps to Reproduce:
1.start the "mailman service"
2.wait for the logs to rotate
    

Actual Results:  Log messages from qrunner continue to be appended to the old
log file

Expected Results:  Log messages from qrunner should be appended to the new log file.
Comment 1 James Henstridge 2003-04-04 02:40:17 EST
Created attachment 90894 [details]
updated logrotate script

The above replacement logrotate script should do a better job of rotating the
logs.  It will call "mailmanctl reopen" after performing the rotation.

It also adds "smtp" and "qrunner" to the list of logs to rotate (those two logs
were not getting rotated on my setup).
Comment 2 James Henstridge 2003-04-04 02:42:15 EST
One small addition to the script.  The postrotate script should probably run the
following:
  /var/mailman/bin/mailmanctl reopen >/dev/null 2>&1 || true

mailmanctl prints a status message after running.
Comment 3 John Dennis 2003-04-23 14:47:04 EDT
Thank you. I'm integrating your fixes now into the next rpm.

Note You need to log in before you can comment on or make changes to this bug.